#
# spec file for package ghc-xmonad-contrib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name xmonad-contrib
Name:           ghc-%{pkg_name}
Version:        0.12
Release:        13.7
Summary:        Third party extensions for xmonad
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-X11-devel
BuildRequires:  ghc-X11-xft-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extensible-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-xmonad-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Third party tiling algorithms, configurations and scripts to xmonad, a tiling
window manager for X.

For an introduction to building, configuring and using xmonad extensions, see
"XMonad.Doc". In particular:

"XMonad.Doc.Configuring", a guide to configuring xmonad

"XMonad.Doc.Extending", using the contributed extensions library

"XMonad.Doc.Developing", introduction to xmonad internals and writing your own
extensions. .

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.12 revision 2 with cabal2obs.
* Tue Dec 22 2015 mimi.vx@gmail.com
- update to 0.12
- drop xmonad-contrib-0.11.4-import-Applicative.patch
  * Breaking Changes:
  + XMonad.Actions.UpdatePointer.updatePointer arguments were changed. This allows
  including aspects of both of the TowardsCentre and Relative methods.
  * New Modules
  + XMonad.Actions.AfterDrag
  + XMonad.Actions.DynamicProjects
  + XMonad.Actions.LinkWorkspaces
  + XMonad.Config.Bepo
  + XMonad.Config.Dmwit
  + Daniel Wagner's configuration.
  + XMonad.Config.Mate
  + XMonad.Config.Prime
  + XMonad.Hooks.DynamicProperty
  + XMonad.Hooks.ManageDebug
  + XMonad.Hooks.WallpaperSetter
  + XMonad.Hooks.WorkspaceHistory
  + XMonad.Layout.AvoidFloats
  + XMonad.Layout.BinarySpacePartition
  + XMonad.Layout.Dwindle
  + XMonad.Layout.Hidden
  + XMonad.Layout.IfMax
  + XMonad.Layout.PerScreen
  + XMonad.Layout.Stoppable
  + XMonad.Prompt.ConfirmPrompt
  + XMonad.Prompt.Pass
  + XMonad.Util.RemoteWindows
  + XMonad.Util.SpawnNamedPipe
  + XMonad.Util.WindowState
  * Miscellaneous Changes
  + Fix issue #9: XMonad.Prompt.Shell searchPredicate is ignored, defaults to isPrefixOf
  + Fix moveHistory when alwaysHighlight is enabled
  + XMonad.Actions.DynamicWorkspaceGroups now exports addRawWSGroup
  + Side tabs were added to the tabbed layout
  + XMonad/Layout/IndependentScreens now exports marshallSort
  + XMonad/Hooks/UrgencyHook now exports clearUrgency
  + Exceptions are now caught when finding commands on PATH in Prompt.Shell
  + Switched to Data.Default wherever possible
  + XMonad.Layout.IndependentScreens now exports whenCurrentOn
  + XMonad.Util.NamedActions now exports addDescrKeys'
  + EWMH DEMANDS_ATTENTION support added to UrgencyHook
  + New useTransientFor modifier in XMonad.Layout.TrackFloating
  + Added the ability to remove arbitrary workspaces
* Sat Apr  4 2015 mimi.vx@gmail.com
- update to 0.11.4
  + xmonad-contrib-0.11.4-import-Applicative.patch -- fix compilation in Xmonad.Util.Invisible
